[arch-commits] Commit in (5 files)

Daniel Isenmann daniel at archlinux.org
Fri Oct 16 17:57:12 EDT 2009


    Date: Friday, October 16, 2009 @ 17:57:12
  Author: daniel
Revision: 55951

added for mono completion

Added:
  monodevelop/
  monodevelop/repos/
  monodevelop/trunk/
  monodevelop/trunk/PKGBUILD
  monodevelop/trunk/monodevelop.install

---------------------+
 PKGBUILD            |   29 +++++++++++++++++++++++++++++
 monodevelop.install |   24 ++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

Added: monodevelop/trunk/PKGBUILD
===================================================================
--- monodevelop/trunk/PKGBUILD	                        (rev 0)
+++ monodevelop/trunk/PKGBUILD	2009-10-16 21:57:12 UTC (rev 55951)
@@ -0,0 +1,29 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: Timm Preetz <timm at preetz.us>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+
+pkgname=monodevelop
+pkgver=2.0
+pkgrel=2
+pkgdesc="A Mono port of SharpDevelop, a .NET Integrated Development Tool [MD 2.0 beta]"
+arch=('i686' 'x86_64')
+url="http://www.monodevelop.org"
+license=('GPL')
+depends=('mono>=2.4.2' 'mono-addins>=0.4' 'gnome-sharp' 'gecko-sharp-2.0>=0.10' 'gnome-desktop-sharp')
+options=(!makeflags force)
+install=monodevelop.install
+source=(http://ftp.novell.com/pub/mono/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('0f527204ffd4785284d9556a75524c3e')
+
+build() {
+  export MONO_SHARED_DIR=$startdir/src/.wabi
+  mkdir -p $MONO_SHARED_DIR
+
+  cd $startdir/src/$pkgname-$pkgver
+  ./configure --prefix=/usr --disable-update-mimedb --disable-update-desktopdb
+  make || return 1
+  make DESTDIR=$startdir/pkg install
+
+  rm -r $MONO_SHARED_DIR
+}
+

Added: monodevelop/trunk/monodevelop.install
===================================================================
--- monodevelop/trunk/monodevelop.install	                        (rev 0)
+++ monodevelop/trunk/monodevelop.install	2009-10-16 21:57:12 UTC (rev 55951)
@@ -0,0 +1,24 @@
+post_install() {
+  update-mime-database /usr/share/mime 1> /dev/null
+  echo "update desktop mime database..."
+  update-desktop-database -q
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  /bin/true
+}
+
+post_remove() {
+  update-mime-database /usr/share/mime 1> /dev/null
+  echo "update desktop mime database..."
+  update-desktop-database -q
+}
+
+op=$1
+shift
+$op $*
+



More information about the arch-commits mailing list